www.cendio.com
Bug 5251 - Internet Explorer in SeamlessRDP mode on Windows 2008 R2 crashes
: Internet Explorer in SeamlessRDP mode on Windows 2008 R2 crashes
Status: CLOSED FIXED
: ThinLinc
| rdesktop (deprecated)
: 4.2.0
: PC Unknown
: P2 Normal
: 4.4.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2014-09-11 08:12 by
Modified: 2015-04-22 09:58 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2014-09-11 08:12:20
Trying to run Internet Explorer in SeamlessRDP mode on Windows 2008 R2 crashes
with:

Problem signature:
  Problem Event Name:    APPCRASH
  Application Name:    IEXPLORE.EXE
  Application Version:    11.0.9600.17041
  Application Timestamp:    531807e4
  Fault Module Name:    seamlessrdp32.dll
  Fault Module Version:    0.0.0.0
  Fault Module Timestamp:    5366f844
  Exception Code:    c0000005
  Exception Offset:    000011f9
  OS Version:    6.1.7601.2.1.0.18.10
  Locale ID:    1033
  Additional Information 1:    2878
  Additional Information 2:    2878f4578f0c7bc3d4a5b8f1c2adf583
  Additional Information 3:    947e
  Additional Information 4:    947e93cfdda543c31ad910bfd7b0b2b6
------- Comment #2 From cendio 2014-09-11 08:39:53 -------
Problem exists with WTS Tools version:

4.1.0
4.1.1post
4.2.0

Works correctly with:
4.0.0

Unfortuntely this version uses the old style command line / protocol and cannot
be used with tl-run-winapp-seamless 4.2.0.
------- Comment #3 From cendio 2014-09-11 09:08:46 -------
Found the offending commit:

>------------------------------------------------------------------------
>r1691 | hean01 | 2013-01-24 14:30:29 +0100 (tor, 24 jan 2013) | 4 lines
>
>Fix issue with reconnection to seamless session on 2008r2 were
>communication over virtual channel didnt work.
>
------- Comment #4 From cendio 2014-09-12 08:44:34 -------
Verified that this doesn't affect(In reply to comment #3)
> Found the offending commit:
> 
> >------------------------------------------------------------------------
> >r1691 | hean01 | 2013-01-24 14:30:29 +0100 (tor, 24 jan 2013) | 4 lines
> >
> >Fix issue with reconnection to seamless session on 2008r2 were
> >communication over virtual channel didnt work.
> >

This change is solution for bug #4517
------- Comment #6 From cendio 2015-02-10 12:30:23 -------
I fail to debug the seamlesrdp application in several ways.

 - drmingw fails to debug iexplore.exe
 - windbg fails to debug iexplore.exe
 - and after configuring Windows Error Reporting to dump
   crash files, no crash files shows at all


Need to take another approach on the topic.
------- Comment #7 From cendio 2015-02-10 12:30:59 -------
(In reply to comment #6)
>  - and after configuring Windows Error Reporting to dump
>    crash files, no crash files shows at all
>

https://msdn.microsoft.com/en-us/library/bb787181(v=vs.85).aspx
------- Comment #8 From cendio 2015-02-10 13:02:39 -------
I compiled 64bit parts only of seamless rdp and when starting 64bit
iexplorer.exe and I get the following popup.

  "Unable to launch the requested application: seamlessrdphook32.exe"

Closing this dialog brings a fully working seamless internet explorer window.
------- Comment #9 From cendio 2015-02-11 13:06:23 -------
(In reply to comment #0)
> Trying to run Internet Explorer in SeamlessRDP mode on Windows 2008 R2 crashes
> with:
> 
> Problem signature:
>   Problem Event Name:    APPCRASH
>   Application Name:    IEXPLORE.EXE
>   Application Version:    11.0.9600.17041
>   Application Timestamp:    531807e4
>   Fault Module Name:    seamlessrdp32.dll
>   Fault Module Version:    0.0.0.0
>   Fault Module Timestamp:    5366f844
>   Exception Code:    c0000005
>   Exception Offset:    000011f9
>   OS Version:    6.1.7601.2.1.0.18.10
>   Locale ID:    1033
>   Additional Information 1:    2878
>   Additional Information 2:    2878f4578f0c7bc3d4a5b8f1c2adf583
>   Additional Information 3:    947e
>   Additional Information 4:    947e93cfdda543c31ad910bfd7b0b2b6

This issue is fixed in upstream commit r1844.
------- Comment #10 From cendio 2015-02-11 13:39:28 -------
> This issue is fixed in upstream commit r1844.

Vendordrop to ctc in commit 29974.
------- Comment #11 From cendio 2015-02-11 14:01:36 -------
(In reply to comment #10)
> > This issue is fixed in upstream commit r1844.
> 
> Vendordrop to ctc in commit 29974.

Commit 29977 clarifies parts of code which was the main source to this crash.
------- Comment #12 From cendio 2015-04-22 09:58:53 -------
Seems to work fine now.